Subject: MPC8540 : What's "SPE used in kernel" ?

From: Philippe De Muyter <[email-masked]>
Date: Fri, 22 Feb 2008 10:50:22 +0100

Dear list,

I have just compiled linux-2.6.24 for a MPC8540 target using a MPC8540
specific gcc.

I then got tan infinity of "SPE used in kernel" messages.  Looking at the
sources I ifdeffed out the printk call in KernelSPE, and I now have a
silent kernel, that seems to work fine.

Is there something wrong in my setting and should I look further to
debug this problem or is this perfectly normal ?

I wonder why a kernel configured for E500 and compiled by a E500-specific gcc
triggers this message.  Is it invalid to use SPE instructions in the kernel 
or do I misunderstand the message ?

Philippe